/* CSS Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Open Sans", sans-serif;
}

/* navbar */
nav {
  /* 
  rem - root element's default font-size(16px)
  .8rem = 80% of 16px = 12.8px
  */
  padding: 0.8rem /* or 12.8px*/;
  margin-bottom: 2rem;
  border-bottom: 1px solid gray;
}

nav > ul {
  list-style-type: none;
}

/* mulitpole selector allow us to use multiple selector for one css rule */
nav .nav,
nav .nav-logo {
  margin: 0.5rem;
  display: inline; /* change block element to inline element */
}

/* intro section */
#intro {
  /* using % on padding makes page more responsive. */
  padding: 2rem 10% 3rem 10%;
  text-align: center;
}

#intro h2,
#intro p {
  margin-bottom: 1rem;
}

#intro button {
  font-weight: bold;
  color: white;
  background-color: #c2195b;
  border-radius: 25px;
  font-size: 1rem;
  padding: 1rem;
  border: 0;
}
/* succed info section */
#succeed-info {
  padding-left: 10%;
  padding-right: 10%;
  padding-top: 2rem;
  padding-bottom: 3rem;
}

#succeed-info h2 {
  margin-bottom: 1rem;
  text-align: center;
}

#succeed-info h3 {
  margin-bottom: 1rem;
  text-align: center;
}

#succeed-info .card {
  /* dislay: inline-block -  used to display element as an inline level block container */
  display: inline-block;
  vertical-align: top;
  /* miminum height you are able to add or define aminimu height fo the elements. Unlike thw eheight property whitch is fixed value, this property allows the element to adjust it's height when the context exceeds it or when the content does not reach the height that we set.
  This is good practice so you can have elements with the same height.*/
  min-height: 175px;
  width: 30%;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

/* pre-footer section */
#pre-footer {
  padding: 1rem;
  background-color: #002540;
  color: white;
}

#pre-footer > div {
  display: inline-block;
  width: 20%;
  vertical-align: top;
}

#pre-footer > div > * {
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
}

footer {
  padding: 0.7rem;
  text-align: center;
}

footer span {
  margin-left: 0, 5rem;
  margin-right: 0.5rem;
}
